MakeBlock Drive Updated Updated library for MakeBlock Ranger

Loading...
Searching...
No Matches
Public Member Functions | List of all members
MeGasSensor Class Reference

Driver for Me gas snesor device. More...

`#include <src/MeGasSensor.h>`

Inheritance diagram for MeGasSensor:
[legend]
Collaboration diagram for MeGasSensor:
[legend]

## Public Member Functions
| MeGasSensor (void)
| MeGasSensor (uint8_t port)
void | setpin (uint8_t digital_pin, uint8_t analog_pin)
uint8_t | readDigital (void)
int16_t | readAnalog (void)
Public Member Functions inherited from MePort
| MePort (void)
| MePort (uint8_t port)
| MePort (uint8_t port, uint8_t slot)
uint8_t | getPort (void)
uint8_t | getSlot (void)
bool | dRead1 (uint8_t mode=INPUT)
bool | dRead2 (uint8_t mode=INPUT)
bool | dpRead1 (void)
bool | dpRead2 (void)
void | dWrite1 (bool value)
void | dWrite2 (bool value)
int16_t | aRead1 (void)
int16_t | aRead2 (void)
void | aWrite1 (int16_t value)
void | aWrite2 (int16_t value)
void | reset (uint8_t port)
void | reset (uint8_t port, uint8_t slot)
uint8_t | pin1 (void)
uint8_t | pin2 (void)
uint8_t | pin (void)
uint8_t | pin (uint8_t port, uint8_t slot)

## Additional Inherited Members
Protected Attributes inherited from MePort
uint8_t | s1
uint8_t | s2
uint8_t | _port
uint8_t | _slot

## Detailed Description

Driver for Me gas snesor device.

Class: MeGasSensor

Description
  Declaration of Class MeGasSensor

Copyright (C), 2012-2016, MakeBlock

## Constructor & Destructor Documentation

## ◆ MeGasSensor() [1/2]

MeGasSensor::MeGasSensor | ( | void |  | ) |

Alternate Constructor which can call your own function to map the gas snesor to arduino port, no pins are used or initialized here.

Parameters

  [in] | None |

## ◆ MeGasSensor() [2/2]

MeGasSensor::MeGasSensor | ( | uint8_t | port | ) |

Alternate Constructor which can call your own function to map the gas snesor to arduino port

Parameters

  [in] | port | - RJ25 port from PORT_1 to M2

## Member Function Documentation

## ◆ readAnalog()

int16_t MeGasSensor::readAnalog | ( | void |  | ) |

Function
  readAnalog

Description
  Read the analog signal of gas snesor.

Output
  None

Returns
  The vlaue from gas snesor's analog output

Others
  None

## ◆ readDigital()

uint8_t MeGasSensor::readDigital | ( | void |  | ) |

Function
  readDigital

Description
  Read the digital signal of gas snesor, It is the result of comparison between the threshold value and the analog output. The threshold value can be adjusted using a rheostat

Output
  None

Returns
  true - The gas concentration exceeds
  false - The concentration of the gas in the range

Others
  None

## ◆ setpin()

void MeGasSensor::setpin | ( | uint8_t | digital_pin,
|  | uint8_t | analog_pin
| ) |  |

Function
  setpin

Description
  Reset the gas snesor available PIN by its arduino port.

Parameters

  [in] | digital_pin | - arduino port for digital signal input
  [in] | analog_pin | - arduino port for analog signal input

Output
  None

Returns
  None

Others
  None

The documentation for this class was generated from the following files:

- src/MeGasSensor.h
- src/MeGasSensor.cpp